Bug 737765 - rhythmbox segfault at Fedora 16 Alpha (rawhide)
Summary: rhythmbox segfault at Fedora 16 Alpha (rawhide)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 19
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 03:40 UTC by Marcelo Moreira de Mello
Modified: 2015-02-17 13:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:52:51 UTC


Attachments (Terms of Use)
strace (1.70 MB, application/octet-stream)
2011-09-13 03:40 UTC, Marcelo Moreira de Mello
no flags Details

Description Marcelo Moreira de Mello 2011-09-13 03:40:31 UTC
Created attachment 522846 [details]
strace

Description of problem:
rhythmbox segfault at Fedora 16 Alpha (rawhide)

Version-Release number of selected component (if applicable):

rhythmbox-2.90.1-15.git20110829.fc16.x86_64


How reproducible:
Try to execute the rhythmbox


Steps to Reproduce:

notebook $> rhythmbox 
Segmentation fault (core dumped)

  
Actual results:

rhythmbox raises a segfault


Expected results:

rhythmbox works as expected

Additional info:

notebook $> ldd $(which rhythmbox)
	linux-vdso.so.1 (0x00007fffb5ff0000)
	librhythmbox-core.so.4 => /usr/lib64/librhythmbox-core.so.4 (0x0000003803c00000)
	libnotify.so.4 => /usr/lib64/libnotify.so.4 (0x0000003805400000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x0000003c41600000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x0000003c41200000)
	libgudev-1.0.so.0 => /lib64/libgudev-1.0.so.0 (0x0000003804800000)
	libwebkitgtk-3.0.so.0 => /usr/lib64/libwebkitgtk-3.0.so.0 (0x000000380ee00000)
	libgstcontroller-0.10.so.0 => /usr/lib64/libgstcontroller-0.10.so.0 (0x0000003803800000)
	libgsttag-0.10.so.0 => /usr/lib64/libgsttag-0.10.so.0 (0x000000380c800000)
	libtotem-plparser.so.17 => /usr/lib64/libtotem-plparser.so.17 (0x0000003808400000)
	libsoup-gnome-2.4.so.1 => /usr/lib64/libsoup-gnome-2.4.so.1 (0x000000380b400000)
	libsoup-2.4.so.1 => /usr/lib64/libsoup-2.4.so.1 (0x0000003805800000)
	libpeas-gtk-1.0.so.0 => /usr/lib64/libpeas-gtk-1.0.so.0 (0x0000003806800000)
	libgtk-3.so.0 => /usr/lib64/libgtk-3.so.0 (0x0000003802c00000)
	libpeas-1.0.so.0 => /usr/lib64/libpeas-1.0.so.0 (0x0000003806000000)
	libgdk-3.so.0 => /usr/lib64/libgdk-3.so.0 (0x0000003802400000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x0000003801800000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00000037fdc00000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x0000003800400000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x0000003801c00000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00000037ff800000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x0000003c3aa00000)
	libm.so.6 => /lib64/libm.so.6 (0x0000003c36200000)
	libcairo-gobject.so.2 => /usr/lib64/libcairo-gobject.so.2 (0x0000003802800000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x0000003801000000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x0000003800800000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x0000003c3b600000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x0000003c3b200000)
	libgstbase-0.10.so.0 => /usr/lib64/libgstbase-0.10.so.0 (0x0000003807800000)
	libgstinterfaces-0.10.so.0 => /usr/lib64/libgstinterfaces-0.10.so.0 (0x0000003809000000)
	libgstpbutils-0.10.so.0 => /usr/lib64/libgstpbutils-0.10.so.0 (0x000000380ac00000)
	libgstreamer-0.10.so.0 => /usr/lib64/libgstreamer-0.10.so.0 (0x0000003806400000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x0000003c3f600000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x0000003802000000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x0000003c39200000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x0000003c35600000)
	libgirepository-1.0.so.1 => /usr/lib64/libgirepository-1.0.so.1 (0x0000003810a00000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00000037fd800000)
	libffi.so.5 => /usr/lib64/libffi.so.5 (0x0000003c38200000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00000037fd400000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00000037fc000000)
	librt.so.1 => /lib64/librt.so.1 (0x0000003c35e00000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00000037fc800000)
	libz.so.1 => /lib64/libz.so.1 (0x0000003c36a00000)
	libc.so.6 => /lib64/libc.so.6 (0x0000003c35200000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x0000003c3d600000)
	libudev.so.0 => /lib64/libudev.so.0 (0x0000003803400000)
	libjavascriptcoregtk-3.0.so.0 => /usr/lib64/libjavascriptcoregtk-3.0.so.0 (0x000000380e400000)
	libenchant.so.1 => /usr/lib64/libenchant.so.1 (0x0000003809800000)
	libgailutil-3.so.0 => /usr/lib64/libgailutil-3.so.0 (0x0000003809c00000)
	libgeoclue.so.0 => /usr/lib64/libgeoclue.so.0 (0x0000003808c00000)
	libgstapp-0.10.so.0 => /usr/lib64/libgstapp-0.10.so.0 (0x000000380d400000)
	libgstvideo-0.10.so.0 => /usr/lib64/libgstvideo-0.10.so.0 (0x000000380a400000)
	libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x0000003c46a00000)
	libxslt.so.1 => /usr/lib64/libxslt.so.1 (0x0000003c4f000000)
	libsqlite3.so.0 => /usr/lib64/libsqlite3.so.0 (0x0000003c48a00000)
	libicui18n.so.46 => /usr/lib64/libicui18n.so.46 (0x000000380b000000)
	libicuuc.so.46 => /usr/lib64/libicuuc.so.46 (0x000000380b800000)
	libicudata.so.46 => /usr/lib64/libicudata.so.46 (0x0000003c55400000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00000037fe800000)
	libXt.so.6 => /usr/lib64/libXt.so.6 (0x0000003800c00000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00000037fcc00000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00000037ff000000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00000037fc400000)
	libdl.so.2 => /lib64/libdl.so.2 (0x0000003c35a00000)
	libgmime-2.6.so.0 => /usr/lib64/libgmime-2.6.so.0 (0x0000003807400000)
	libquvi.so.6 => /usr/lib64/libquvi.so.6 (0x0000003808000000)
	libarchive.so.2 => /usr/lib64/libarchive.so.2 (0x0000003805c00000)
	libgnome-keyring.so.0 => /usr/lib64/libgnome-keyring.so.0 (0x0000003804400000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00000037fe000000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00000037fd000000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00000037ffc00000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00000037fec00000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x0000003800000000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00000037ff400000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x0000003801400000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00000037fe400000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x0000003c36e00000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x0000003c37600000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x0000003c3ee00000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x0000003c3a200000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003c34e00000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x0000003c39a00000)
	libgpgme-pthread.so.11 => /usr/lib64/libgpgme-pthread.so.11 (0x0000003c51c00000)
	libcurl.so.4 => /usr/lib64/libcurl.so.4 (0x000000380a000000)
	liblua-5.1.so => /usr/lib64/liblua-5.1.so (0x0000003c4ec00000)
	libacl.so.1 => /lib64/libacl.so.1 (0x0000003c47600000)
	libattr.so.1 => /lib64/libattr.so.1 (0x0000003c40e00000)
	liblzma.so.5 => /usr/lib64/liblzma.so.5 (0x0000003804c00000)
	libbz2.so.1 => /lib64/libbz2.so.1 (0x0000003c49600000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x0000003c43200000)
	libgcrypt.so.11 => /lib64/libgcrypt.so.11 (0x0000003c40600000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x0000003c39600000)
	libassuan.so.0 => /usr/lib64/libassuan.so.0 (0x0000003c51800000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x0000003c40200000)
	libidn.so.11 => /lib64/libidn.so.11 (0x0000003c48600000)
	liblber-2.4.so.2 => /usr/lib64/liblber-2.4.so.2 (0x0000003807c00000)
	libldap-2.4.so.2 => /usr/lib64/libldap-2.4.so.2 (0x0000003809400000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x0000003c44a00000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x0000003c45200000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x0000003c45a00000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x0000003c42a00000)
	libssl3.so => /usr/lib64/libssl3.so (0x0000003c46200000)
	libsmime3.so => /usr/lib64/libsmime3.so (0x0000003c45e00000)
	libnss3.so => /usr/lib64/libnss3.so (0x0000003c44600000)
	libnssutil3.so => /usr/lib64/libnssutil3.so (0x0000003c44e00000)
	libplds4.so => /lib64/libplds4.so (0x0000003c43a00000)
	libplc4.so => /lib64/libplc4.so (0x0000003c43600000)
	libnspr4.so => /lib64/libnspr4.so (0x0000003c44200000)
	libssh2.so.1 => /usr/lib64/libssh2.so.1 (0x0000003c4e400000)
	libsasl2.so.2 => /usr/lib64/libsasl2.so.2 (0x0000003c49a00000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x0000003c45600000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x0000003c43e00000)
	libssl.so.10 => /usr/lib64/libssl.so.10 (0x0000003c47200000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x0000003c3fe00000)
	libfreebl3.so => /lib64/libfreebl3.so (0x0000003c40a00000)

Strace:
-------------
notebook $> strace  -s 2555  -o rhythmbox.strace rhythmbox
Segmentation fault (core dumped)

Comment 1 Marcelo Moreira de Mello 2011-09-13 03:52:05 UTC
notebook $> dmesg
[ 3659.879885] rhythmbox[5192]: segfault at 8 ip 0000003c3bf0307d sp 00007fff649ed028 error 4 in libpython2.7.so.1.0[3c3be00000+171000]

notebook $> ldd $(which rhythmbox) | grep python

notebook $> rpm -qf /usr/lib64/libpython2.7.so.1.0
python-libs-2.7.2-4.fc16.x86_64

notebook $> rpm -V python-libs | wc -l
0

Comment 2 Adam Jackson 2011-09-13 15:12:33 UTC
Running 'rhythmbox -d' ends with:

(10:51:03) [0x15f83a0] [impl_activate] rb-mmkeys-plugin.c:372: activating media player keys plugin
zsh: segmentation fault  rhythmbox -d

Comment 3 Marcelo Moreira de Mello 2011-09-13 15:16:28 UTC
notebook $> rhythmbox -d 
(12:15:46) [0xe443a0] [rb_debug_init_match] rb-debug.c:240: Debugging enabled
(12:15:46) [0xe443a0] [main] main.c:185: initializing Rhythmbox 2.90.1
(12:15:46) [0xe443a0] [rb_threads_init] rb-util.c:482: GMutex isn't recursive
(12:15:46) [0xe443a0] [main] main.c:197: going to create DBus object
(12:15:46) [0xe443a0] [main] main.c:267: Going to create a new shell
(12:15:46) [0xe443a0] [rb_shell_constructed] rb-shell.c:1655: Constructing shell
(12:15:46) [0xe443a0] [construct_db] rb-shell.c:1189: creating database object
(12:15:46) [0xe443a0] [construct_widgets] rb-shell.c:1250: shell: initializing shell services
(12:15:46) [0xe443a0] [rb_podcast_manager_start_update_timer] rb-podcast-manager.c:582: last periodic update at 1315669314, interval 3600, time is now 1315926946
(12:15:46) [0xe443a0] [rb_podcast_manager_start_update_timer] rb-podcast-manager.c:585: periodic update should already have happened
(12:15:46) [0xe443a0] [player_settings_changed_cb] rb-shell-player.c:1816: track transition time changed
(12:15:46) [0xe443a0] [player_settings_changed_cb] rb-shell-player.c:1807: play order setting changed
(12:15:46) [0xe443a0] [rb_shell_player_sync_buttons] rb-shell-player.c:3002: syncing with source (nil)
(12:15:46) [0xe443a0] [rb_shell_player_sync_control_state] rb-shell-player.c:2454: syncing control state
(12:15:46) [0xe443a0] [rb_header_sync] rb-header.c:523: syncing with entry = <null>
(12:15:46) [0xe443a0] [rb_header_sync] rb-header.c:585: not playing
(12:15:46) [0xe443a0] [rb_shell_player_set_playing_source_internal] rb-shell-player.c:3088: setting playing source to (nil)
(12:15:46) [0xe443a0] [rb_shell_player_sync_with_source] rb-shell-player.c:2910: playing source: (nil), active entry: (nil)
(12:15:46) [0xe443a0] [rb_shell_player_sync_control_state] rb-shell-player.c:2454: syncing control state
(12:15:46) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:653: appending page Library with no parent
(12:15:46) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:653: appending page Stores with no parent
(12:15:46) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:653: appending page Playlists with no parent
(12:15:46) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:653: appending page Devices with no parent
(12:15:46) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:653: appending page Shared with no parent
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0xe723e0 chaining to base model (nil)
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0xe724a0 chaining to base model (nil)
(12:15:46) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0xe723e0
(12:15:46) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0xe723e0
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0xfedd60 (title: , key: PlaylistTrack)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b2070 (title: Track, key: Track)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b2150 (title: Title, key: Title)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b2230 (title: Genre, key: Genre)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b2310 (title: Artist, key: Artist)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b23f0 (title: Album, key: Album)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b24d0 (title: Year, key: Year)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b25b0 (title: Time, key: Time)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11b2690 (title: Quality, key: Quality)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fb890 (title: Rating, key: Rating)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fb970 (title: Play Count, key: PlayCount)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fba50 (title: Comment, key: Comment)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fbb30 (title: Location, key: Location)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fbc10 (title: Last Played, key: LastPlayed)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fbcf0 (title: Date Added, key: FirstSeen)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x11fbdd0 (title: BPM, key: BPM)
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 0 - reusing parent model
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 1 - reusing parent model
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 2 - reusing parent model
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224040 chaining to base model (nil)
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224040 chaining to base model 0xe724a0
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 0 - reusing parent model
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 1 - reusing parent model
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 2 - reusing parent model
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1426: binding entry view sort order for (null)
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1450: binding show-browser for (null)
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224100 chaining to base model (nil)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x10182e0 (title: Play Queue, key: Title)
(12:15:46) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x1224100
(12:15:46) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x1224100
(12:15:46) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source Play Queue with parent 0x10033a0
(12:15:46) [0xe443a0] [update_group_visibility] rb-display-page-model.c:560: page group Library changing visibility from 0 to 1
(12:15:46) [0xe443a0] [rb_shell_constructed] rb-shell.c:1691: shell: syncing with settings
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224100 chaining to base model (nil)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf040 (title: Track, key: Track)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf120 (title: Title, key: Title)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf200 (title: Genre, key: Genre)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf2e0 (title: Artist, key: Artist)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf3c0 (title: Album, key: Album)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf4a0 (title: Year, key: Year)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf580 (title: Time, key: Time)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12bf660 (title: Quality, key: Quality)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d60c0 (title: Play Count, key: PlayCount)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d61a0 (title: BPM, key: BPM)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d6280 (title: Comment, key: Comment)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d6360 (title: Location, key: Location)
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1426: binding entry view sort order for (null)
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Artist:0
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:46) [0xe443a0] [songs_view_sort_order_changed_cb] rb-browser-source.c:573: sort order changed
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1441: binding paned position for (null)
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1450: binding show-browser for (null)
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12244c0 chaining to base model (nil)
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 0 - reusing parent model
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 1 - reusing parent model
(12:15:46) [0xe443a0] [rebuild_child_model] rb-library-browser.c:686: no selection for browser 2 - reusing parent model
(12:15:46) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x1224100
(12:15:46) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x1224100
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rb_property_view_selection_changed_cb] rb-property-view.c:837: selection changed
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224580 chaining to base model (nil)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d6440 (title: Rating, key: Rating)
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Artist:0
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:46) [0xe443a0] [songs_view_sort_order_changed_cb] rb-browser-source.c:573: sort order changed
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d6520 (title: Last Played, key: LastPlayed)
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Artist:0
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:46) [0xe443a0] [songs_view_sort_order_changed_cb] rb-browser-source.c:573: sort order changed
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12d6600 (title: Date Added, key: FirstSeen)
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Artist:0
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:46) [0xe443a0] [songs_view_sort_order_changed_cb] rb-browser-source.c:573: sort order changed
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8900 chaining to base model (nil)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe0b0 (title: Date, key: Date)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe190 (title: Title, key: Title)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe270 (title: Feed, key: Feed)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe350 (title: Time, key: Time)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe430 (title: Rating, key: Rating)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe510 (title: Play Count, key: PlayCount)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe5f0 (title: Last Played, key: LastPlayed)
(12:15:46) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x12fe6d0 (title: Status, key: Status)
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f89c0 chaining to base model (nil)
(12:15:46) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 1
(12:15:46) [0xe443a0] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:46) [0xe443a0] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:46) [0xe443a0] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:46) [0xe443a0] [idle_process_update] rhythmdb-query-model.c:1187: inserting 0 rows
(12:15:46) [0xe443a0] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1426: binding entry view sort order for (null)
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Feed:0
(12:15:46) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:46) [0xe443a0] [podcast_posts_view_sort_order_changed_cb] rb-podcast-source.c:161: sort order changed
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:46) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1441: binding paned position for (null)
(12:15:46) [0xe443a0] [rb_source_bind_settings] rb-source.c:1450: binding show-browser for (null)
(12:15:46) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8a80 chaining to base model (nil)
(12:15:46) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x12f8900
(12:15:46) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x12f8900
(12:15:46) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 2
(12:15:46) [0x1310350] [query_thread_main] rhythmdb.c:4039: entering query thread
(12:15:46) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:46) [0x1310350] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:46) [0x1310350] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:46) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8900 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224100 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x1224100
(12:15:47) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x1224100
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x131f3e0 (title: Track, key: Track)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x131f4c0 (title: Title, key: Title)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x131f5a0 (title: Artist, key: Artist)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x131f680 (title: Album, key: Album)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1347050 (title: Location, key: Location)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1347130 (title: Last Seen, key: LastSeen)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1224100 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8b40 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x12f8b40
(12:15:47) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x12f8b40
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13472f0 (title: Location, key: Location)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13473d0 (title: Error, key: Error)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8c00 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 3
(12:15:47) [0x1310350] [query_thread_main] rhythmdb.c:4039: entering query thread
(12:15:47) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:47) [0x1310350] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:47) [0x1310350] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:47) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:47) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source Music with parent 0x10033a0
(12:15:47) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source Podcasts with parent 0x10033a0
(12:15:47) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source Missing Files with parent 0x10033a0
(12:15:47) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source Import Errors with parent 0x10033a0
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8cc0 chaining to base model (nil)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1347590 (title: Date, key: Date)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1347670 (title: Title, key: Title)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1366090 (title: Feed, key: Feed)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1366170 (title: Time, key: Time)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1366250 (title: Rating, key: Rating)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1366330 (title: Play Count, key: PlayCount)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1366410 (title: Last Played, key: LastPlayed)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13664f0 (title: Status, key: Status)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8d80 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 4
(12:15:47) [0xe443a0] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:47) [0xe443a0] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:47) [0xe443a0] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:47) [0xe443a0] [idle_process_update] rhythmdb-query-model.c:1187: inserting 0 rows
(12:15:47) [0xe443a0] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:47) [0xe443a0] [rb_source_bind_settings] rb-source.c:1426: binding entry view sort order for (null)
(12:15:47) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Feed:0
(12:15:47) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:47) [0xe443a0] [podcast_posts_view_sort_order_changed_cb] rb-podcast-source.c:161: sort order changed
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:47) [0xe443a0] [rb_source_bind_settings] rb-source.c:1441: binding paned position for (null)
(12:15:47) [0xe443a0] [rb_source_bind_settings] rb-source.c:1450: binding show-browser for (null)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8e40 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x12f8cc0
(12:15:47) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x12f8cc0
(12:15:47) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 5
(12:15:47) [0x1310350] [query_thread_main] rhythmdb.c:4039: entering query thread
(12:15:47) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:47) [0x1310350] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:47) [0x1310350] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:47) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:47) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source New Episodes with parent 0x10be1e0
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x12f8f00 chaining to base model (nil)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13f41f0 (title: Date, key: Date)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13f42d0 (title: Title, key: Title)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13f43b0 (title: Feed, key: Feed)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13f4490 (title: Time, key: Time)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13f4570 (title: Rating, key: Rating)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x13f4650 (title: Play Count, key: PlayCount)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1433880 (title: Last Played, key: LastPlayed)
(12:15:47) [0xe443a0] [rb_entry_view_insert_column_custom] rb-entry-view.c:1715: appending column: 0x1433960 (title: Status, key: Status)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x1368820 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 6
(12:15:47) [0xe443a0] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:47) [0xe443a0] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:47) [0xe443a0] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:47) [0xe443a0] [idle_process_update] rhythmdb-query-model.c:1187: inserting 0 rows
(12:15:47) [0xe443a0] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:47) [0xe443a0] [rb_source_bind_settings] rb-source.c:1426: binding entry view sort order for (null)
(12:15:47) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1083: Updating EntryView sort order to Feed:0
(12:15:47) [0xe443a0] [rb_entry_view_sync_sorting] rb-entry-view.c:1103: emitting sort order changed
(12:15:47) [0xe443a0] [podcast_posts_view_sort_order_changed_cb] rb-podcast-source.c:161: sort order changed
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: track-number => 6
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: artist => 4
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: album => 5
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: genre => 3
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: duration => 8
(12:15:47) [0xe443a0] [rb_entry_view_sync_columns_visible] rb-entry-view.c:2409: visible columns: post-time => 48
(12:15:47) [0xe443a0] [rb_source_bind_settings] rb-source.c:1441: binding paned position for (null)
(12:15:47) [0xe443a0] [rb_source_bind_settings] rb-source.c:1450: binding show-browser for (null)
(12:15:47) [0xe443a0] [rhythmdb_query_model_chain] rhythmdb-query-model.c:896: query model 0x13688e0 chaining to base model (nil)
(12:15:47) [0xe443a0] [rhythmdb_query_model_dispose] rhythmdb-query-model.c:730: disposing query model 0x12f8f00
(12:15:47) [0xe443a0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:778: finalizing query model 0x12f8f00
(12:15:47) [0xe443a0] [rhythmdb_read_enter] rhythmdb.c:1229: counter: 7
(12:15:47) [0x1310350] [query_thread_main] rhythmdb.c:4039: entering query thread
(12:15:47) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4016: doing query
(12:15:47) [0x1310350] [do_query_recurse] rhythmdb-tree.c:2304: doing recursive query, 1 conjunctions
(12:15:47) [0x1310350] [rhythmdb_query_model_add_results] rhythmdb-query-model.c:2248: adding 0 entries
(12:15:47) [0x1310350] [rhythmdb_query_internal] rhythmdb.c:4022: completed
(12:15:47) [0xe443a0] [rb_display_page_model_add_page] rb-display-page-model.c:649: inserting source New Downloads with parent 0x10be1e0
(12:15:47) [0xe443a0] [construct_sources] rb-shell.c:1425: shell: creating playlist manager
(12:15:47) [0xe443a0] [construct_sources] rb-shell.c:1441: shell: creating removable media manager
(12:15:47) [0xe443a0] [construct_load_ui] rb-shell.c:1461: shell: loading ui
(12:15:47) [0xe443a0] [construct_plugins] rb-shell.c:1585: plugin search path: /home/mdemello/.local/share/rhythmbox/plugins
(12:15:47) [0xe443a0] [construct_plugins] rb-shell.c:1593: plugin search path: /usr/lib64/rhythmbox/plugins / /usr/share/rhythmbox/plugins
(12:15:47) [0xe443a0] [rb_ipod_plugin_init] rb-ipod-plugin.c:119: RBIpodPlugin initialising
(12:15:47) [0xe443a0] [extension_added_cb] rb-shell.c:1520: activating extension Portable Players - iPod
(12:15:47) [0xe443a0] [rb_find_plugin_data_file] rb-file-helpers.c:256: found '/usr/share/rhythmbox/plugins/ipod/ipod-ui.xml' when searching for file 'ipod-ui.xml' for plugin 'Portable Players - iPod'
Segmentation fault (core dumped)

Comment 4 Adam Jackson 2011-09-13 17:06:47 UTC
Possibly we're reporting different issues here, but since your crash is in libpython too, perhaps not.

If I run rb under gdb, the crash looks like:

Program received signal SIGSEGV, Segmentation fault.
0x00007fffed3a807d in PySys_GetObject (name=0x7fffed682311 "path")
    at /usr/src/debug/Python-2.7.2/Python/sysmodule.c:53
53	    PyObject *sd = tstate->interp->sysdict;

Which, if I had to guess, is something about the global interpreter state not being set up correctly.

Comment 5 Marcelo Moreira de Mello 2011-09-13 18:02:04 UTC
Agreed, the issue seems to be related with libpython. 

 I'll install the dependencies and run the gdb here to analyse the core ASAP.

Comment 6 Marcelo Moreira de Mello 2011-09-21 17:39:29 UTC
  Hello, 

 After update a bunch of packages, rhythmbox now works as expected


notebook $> rpm -q python python-libs rhythmbox
python-2.7.2-4.fc16.x86_64
python-libs-2.7.2-4.fc16.x86_64
rhythmbox-2.90.1-15.git20110829.fc16.x86_64


  Unfortunately, I'm not sure which package solve the issue since I just noticed it today. 

 Best, 
mmello

Comment 7 Fedora End Of Life 2013-04-03 13:57:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Fedora End Of Life 2015-01-09 16:47:03 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-02-17 13:52:51 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.